Bug 22659 - Plasma5 Stack Update
Summary: Plasma5 Stack Update
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK MGA6-32-OK
Keywords: advisory, validated_update
Depends on: 22715 22656 22661 22662 22716
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-27 10:45 CET by Nicolas Lécureuil
Modified: 2018-05-11 22:14 CEST (History)
15 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments
screenshot (39.38 KB, image/png)
2018-03-04 15:45 CET, Frédéric Buclin
Details
Brian - Journal entries - (comment 25 results) (147.61 KB, application/zip)
2018-03-12 02:52 CET, Brian Rockwell
Details

Description Nicolas Lécureuil 2018-02-27 10:45:23 CET
Advisory:
This update provide an update the new Plasma LTS version

src.rpm
bluedevil-5.12.2-1.mga6.src.rpm
breeze-5.12.2-1.mga6.src.rpm
breeze-grub-5.12.2-1.mga6.src.rpm
breeze-gtk-5.12.2-1.mga6.src.rpm
breeze-plymouth-5.12.2-1.mga6.src.rpm
discover-5.12.2-1.mga6.src.rpm
drkonqi-5.12.2-1.mga6.src.rpm
kactivitymanagerd-5.12.2-1.mga6.src.rpm
kde-cli-tools-5.12.2-1.mga6.src.rpm
kdecoration-5.12.2-1.mga6.src.rpm
kde-gtk-config-5.12.2-1.mga6.src.rpm
kdeplasma-addons-5.12.2-1.mga6.src.rpm
kgamma5-5.12.2-1.mga6.src.rpm
khotkeys-5.12.2-1.mga6.src.rpm
kinfocenter-5.12.2-1.mga6.src.rpm
kmenuedit-5.12.2-1.mga6.src.rpm
kscreen-5.12.2-1.mga6.src.rpm
kscreenlocker-5.12.2-1.mga6.src.rpm
ksshaskpass-5.12.2-1.mga6.src.rpm
ksysguard-5.12.2-1.mga6.src.rpm
kwallet-pam-5.12.2-1.mga6.src.rpm
kwayland-integration-5.12.2-1.mga6.src.rpm
kwin-5.12.2-1.mga6.src.rpm
kwrited-5.12.2-1.mga6.src.rpm
libkscreen-5.12.2-1.mga6.src.rpm
libksysguard-5.12.2-1.mga6.src.rpm
milou-5.12.2-1.mga6.src.rpm
oxygen-5.12.2-1.mga6.src.rpm
plasma-desktop-5.12.2-1.mga6.src.rpm
plasma-integration-5.12.2-1.mga6.src.rpm
plasma-nm-5.12.2-1.mga6.src.rpm
plasma-pa-5.12.2-1.mga6.src.rpm
plasma-sdk-5.12.2-1.mga6.src.rpm
plasma-vault-5.12.2-1.mga6.src.rpm
plasma-workspace-5.12.2-1.mga6.src.rpm
plasma-workspace-wallpapers-5.12.2-1.mga6.src.rpm
plymouth-kcm-5.12.2-1.mga6.src.rpm
polkit-kde-agent-1-5.12.2-1.mga6.src.rpm
powerdevil-5.12.2-1.mga6.src.rpm
sddm-kcm-5.12.2-1.mga6.src.rpm
systemsettings-5.12.2-1.mga6.src.rpm
task-plasma5-5.12.2-1.mga6.src.rpm
user-manager-5.12.2-1.mga6.src.rpm
xdg-desktop-portal-kde-5.12.2-1.mga6.src.rpm

x86_64
bluedevil-5.12.2-1.mga6.x86_64.rpm
breeze-5.12.2-1.mga6.x86_64.rpm
breeze-common-5.12.2-1.mga6.noarch.rpm
breeze-grub-5.12.2-1.mga6.noarch.rpm
breeze-gtk-5.12.2-1.mga6.x86_64.rpm
breeze-plymouth-5.12.2-1.mga6.x86_64.rpm
discover-5.12.2-1.mga6.x86_64.rpm
drkonqi-5.12.2-1.mga6.x86_64.rpm
kactivitymanagerd-5.12.2-1.mga6.x86_64.rpm
kde4-style-breeze-5.12.2-1.mga6.x86_64.rpm
kde-cli-tools-5.12.2-1.mga6.x86_64.rpm
kde-cli-tools-handbook-5.12.2-1.mga6.noarch.rpm
kde-gtk-config-5.12.2-1.mga6.x86_64.rpm
kdeplasma-addons-5.12.2-1.mga6.x86_64.rpm
kgamma5-5.12.2-1.mga6.x86_64.rpm
kgamma5-handbook-5.12.2-1.mga6.noarch.rpm
khotkeys-5.12.2-1.mga6.x86_64.rpm
kinfocenter-5.12.2-1.mga6.x86_64.rpm
kinfocenter-handbook-5.12.2-1.mga6.noarch.rpm
kmenuedit-5.12.2-1.mga6.x86_64.rpm
kmenuedit-handbook-5.12.2-1.mga6.noarch.rpm
kscreen-5.12.2-1.mga6.x86_64.rpm
kscreenlocker-5.12.2-1.mga6.x86_64.rpm
ksshaskpass-5.12.2-1.mga6.x86_64.rpm
ksysguard-5.12.2-1.mga6.x86_64.rpm
ksysguard-handbook-5.12.2-1.mga6.noarch.rpm
kwallet-pam-5.12.2-1.mga6.x86_64.rpm
kwayland-integration-5.12.2-1.mga6.x86_64.rpm
kwin-5.12.2-1.mga6.x86_64.rpm
kwin-common-5.12.2-1.mga6.x86_64.rpm
kwin-handbook-5.12.2-1.mga6.noarch.rpm
kwin-wayland-5.12.2-1.mga6.x86_64.rpm
kwrited-5.12.2-1.mga6.x86_64.rpm
lib64breeze-devel-5.12.2-1.mga6.x86_64.rpm
lib64colorcorrect5-5.12.2-1.mga6.x86_64.rpm
lib64kdeplasma-addons-devel-5.12.2-1.mga6.x86_64.rpm
lib64kf5decoration5-5.12.2-1.mga6.x86_64.rpm
lib64kf5decoration-devel-5.12.2-1.mga6.x86_64.rpm
lib64kf5decorationprivate5-5.12.2-1.mga6.x86_64.rpm
lib64kf5hotkeysprivate-devel-5.12.2-1.mga6.x86_64.rpm
lib64kf5kscreen5-5.12.2-1.mga6.x86_64.rpm
lib64kf5kscreen-devel-5.12.2-1.mga6.x86_64.rpm
lib64kfontinst5-5.12.2-1.mga6.x86_64.rpm
lib64kfontinstui5-5.12.2-1.mga6.x86_64.rpm
lib64khotkeysprivate5-5.12.2-1.mga6.x86_64.rpm
lib64kscreenlocker5-5.12.2-1.mga6.x86_64.rpm
lib64kscreenlocker-devel-5.12.2-1.mga6.x86_64.rpm
lib64ksgrd5-5.12.2-1.mga6.x86_64.rpm
lib64ksignalplotter5-5.12.2-1.mga6.x86_64.rpm
lib64ksysguard-devel-5.12.2-1.mga6.x86_64.rpm
lib64kwin4_effect_builtins1-5.12.2-1.mga6.x86_64.rpm
lib64kwin5-5.12.2-1.mga6.x86_64.rpm
lib64kwin-devel-5.12.2-1.mga6.x86_64.rpm
lib64kwineffects5-5.12.2-1.mga6.x86_64.rpm
lib64kwinglutils5-5.12.2-1.mga6.x86_64.rpm
lib64kwinxrenderutils5-5.12.2-1.mga6.x86_64.rpm
lib64kworkspace5-5.12.2-1.mga6.x86_64.rpm
lib64lsofui5-5.12.2-1.mga6.x86_64.rpm
lib64milou5-5.12.2-1.mga6.x86_64.rpm
lib64oxygen-devel-5.12.2-1.mga6.x86_64.rpm
lib64oxygenstyle5-5.12.2-1.mga6.x86_64.rpm
lib64oxygenstyle5_5-5.12.2-1.mga6.x86_64.rpm
lib64oxygenstyleconfig5-5.12.2-1.mga6.x86_64.rpm
lib64oxygenstyleconfig5_5-5.12.2-1.mga6.x86_64.rpm
lib64plasmacomicprovidercore1-5.12.2-1.mga6.x86_64.rpm
lib64plasma-desktop-devel-5.12.2-1.mga6.x86_64.rpm
lib64plasma-geolocation-interface5-5.12.2-1.mga6.x86_64.rpm
lib64plasmapotdprovidercore1-5.12.2-1.mga6.x86_64.rpm
lib64plasma-workspace-devel-5.12.2-1.mga6.x86_64.rpm
lib64powerdevilconfigcommonprivate5-5.12.2-1.mga6.x86_64.rpm
lib64powerdevilcore2-5.12.2-1.mga6.x86_64.rpm
lib64powerdevil-devel-5.12.2-1.mga6.x86_64.rpm
lib64powerdevilui5-5.12.2-1.mga6.x86_64.rpm
lib64processcore5-5.12.2-1.mga6.x86_64.rpm
lib64processui5-5.12.2-1.mga6.x86_64.rpm
lib64systemsettings-devel-5.12.2-1.mga6.x86_64.rpm
lib64systemsettingsview3-5.12.2-1.mga6.x86_64.rpm
lib64taskmanager5-5.12.2-1.mga6.x86_64.rpm
lib64weather_ion7-5.12.2-1.mga6.x86_64.rpm
libkscreen-5.12.2-1.mga6.x86_64.rpm
libksysguard-5.12.2-1.mga6.x86_64.rpm
milou-5.12.2-1.mga6.x86_64.rpm
oxygen-5.12.2-1.mga6.x86_64.rpm
plasma-applet-nm-5.12.2-1.mga6.x86_64.rpm
plasma-applet-nm-fortisslvpnui-5.12.2-1.mga6.x86_64.rpm
plasma-applet-nm-l2tp-5.12.2-1.mga6.x86_64.rpm
plasma-applet-nm-openconnect-5.12.2-1.mga6.x86_64.rpm
plasma-applet-nm-openvpn-5.12.2-1.mga6.x86_64.rpm
plasma-applet-nm-pptp-5.12.2-1.mga6.x86_64.rpm
plasma-applet-nm-ssh-5.12.2-1.mga6.x86_64.rpm
plasma-applet-nm-vpnc-5.12.2-1.mga6.x86_64.rpm
plasma-desktop-5.12.2-1.mga6.x86_64.rpm
plasma-desktop-handbook-5.12.2-1.mga6.noarch.rpm
plasma-integration-5.12.2-1.mga6.x86_64.rpm
plasma-pa-5.12.2-1.mga6.x86_64.rpm
plasma-pa-doc-5.12.2-1.mga6.noarch.rpm
plasma-sdk-5.12.2-1.mga6.x86_64.rpm
plasma-vault-5.12.2-1.mga6.x86_64.rpm
plasma-workspace-5.12.2-1.mga6.x86_64.rpm
plasma-workspace-handbook-5.12.2-1.mga6.noarch.rpm
plasma-workspace-wallpapers-5.12.2-1.mga6.noarch.rpm
plasma-workspace-wayland-5.12.2-1.mga6.x86_64.rpm
plymouth-kcm-5.12.2-1.mga6.x86_64.rpm
polkit-kde-agent-1-5.12.2-1.mga6.x86_64.rpm
powerdevil-5.12.2-1.mga6.x86_64.rpm
powerdevil-handbook-5.12.2-1.mga6.noarch.rpm
qt4-style-oxygen-5.12.2-1.mga6.x86_64.rpm
sddm-kcm-5.12.2-1.mga6.x86_64.rpm
systemsettings-5.12.2-1.mga6.x86_64.rpm
systemsettings-handbook-5.12.2-1.mga6.noarch.rpm
task-plasma5-5.12.2-1.mga6.noarch.rpm
task-plasma5-minimal-5.12.2-1.mga6.noarch.rpm
user-manager-5.12.2-1.mga6.x86_64.rpm
xdg-desktop-portal-kde-5.12.2-1.mga6.x86_64.rpm


i586
bluedevil-5.12.2-1.mga6.i586.rpm
breeze-5.12.2-1.mga6.i586.rpm
breeze-common-5.12.2-1.mga6.noarch.rpm
breeze-grub-5.12.2-1.mga6.noarch.rpm
breeze-gtk-5.12.2-1.mga6.i586.rpm
breeze-plymouth-5.12.2-1.mga6.i586.rpm
discover-5.12.2-1.mga6.i586.rpm
drkonqi-5.12.2-1.mga6.i586.rpm
kactivitymanagerd-5.12.2-1.mga6.i586.rpm
kde4-style-breeze-5.12.2-1.mga6.i586.rpm
kde-cli-tools-5.12.2-1.mga6.i586.rpm
kde-cli-tools-handbook-5.12.2-1.mga6.noarch.rpm
kde-gtk-config-5.12.2-1.mga6.i586.rpm
kdeplasma-addons-5.12.2-1.mga6.i586.rpm
kgamma5-5.12.2-1.mga6.i586.rpm
kgamma5-handbook-5.12.2-1.mga6.noarch.rpm
khotkeys-5.12.2-1.mga6.i586.rpm
kinfocenter-5.12.2-1.mga6.i586.rpm
kinfocenter-handbook-5.12.2-1.mga6.noarch.rpm
kmenuedit-5.12.2-1.mga6.i586.rpm
kmenuedit-handbook-5.12.2-1.mga6.noarch.rpm
kscreen-5.12.2-1.mga6.i586.rpm
kscreenlocker-5.12.2-1.mga6.i586.rpm
ksshaskpass-5.12.2-1.mga6.i586.rpm
ksysguard-5.12.2-1.mga6.i586.rpm
ksysguard-handbook-5.12.2-1.mga6.noarch.rpm
kwallet-pam-5.12.2-1.mga6.i586.rpm
kwayland-integration-5.12.2-1.mga6.i586.rpm
kwin-5.12.2-1.mga6.i586.rpm
kwin-common-5.12.2-1.mga6.i586.rpm
kwin-handbook-5.12.2-1.mga6.noarch.rpm
kwin-wayland-5.12.2-1.mga6.i586.rpm
kwrited-5.12.2-1.mga6.i586.rpm
libbreeze-devel-5.12.2-1.mga6.i586.rpm
libcolorcorrect5-5.12.2-1.mga6.i586.rpm
libkdeplasma-addons-devel-5.12.2-1.mga6.i586.rpm
libkf5decoration5-5.12.2-1.mga6.i586.rpm
libkf5decoration-devel-5.12.2-1.mga6.i586.rpm
libkf5decorationprivate5-5.12.2-1.mga6.i586.rpm
libkf5hotkeysprivate-devel-5.12.2-1.mga6.i586.rpm
libkf5kscreen5-5.12.2-1.mga6.i586.rpm
libkf5kscreen-devel-5.12.2-1.mga6.i586.rpm
libkfontinst5-5.12.2-1.mga6.i586.rpm
libkfontinstui5-5.12.2-1.mga6.i586.rpm
libkhotkeysprivate5-5.12.2-1.mga6.i586.rpm
libkscreen-5.12.2-1.mga6.i586.rpm
libkscreenlocker5-5.12.2-1.mga6.i586.rpm
libkscreenlocker-devel-5.12.2-1.mga6.i586.rpm
libksgrd5-5.12.2-1.mga6.i586.rpm
libksignalplotter5-5.12.2-1.mga6.i586.rpm
libksysguard-5.12.2-1.mga6.i586.rpm
libksysguard-devel-5.12.2-1.mga6.i586.rpm
libkwin4_effect_builtins1-5.12.2-1.mga6.i586.rpm
libkwin5-5.12.2-1.mga6.i586.rpm
libkwin-devel-5.12.2-1.mga6.i586.rpm
libkwineffects5-5.12.2-1.mga6.i586.rpm
libkwinglutils5-5.12.2-1.mga6.i586.rpm
libkwinxrenderutils5-5.12.2-1.mga6.i586.rpm
libkworkspace5-5.12.2-1.mga6.i586.rpm
liblsofui5-5.12.2-1.mga6.i586.rpm
libmilou5-5.12.2-1.mga6.i586.rpm
liboxygen-devel-5.12.2-1.mga6.i586.rpm
liboxygenstyle5-5.12.2-1.mga6.i586.rpm
liboxygenstyle5_5-5.12.2-1.mga6.i586.rpm
liboxygenstyleconfig5-5.12.2-1.mga6.i586.rpm
liboxygenstyleconfig5_5-5.12.2-1.mga6.i586.rpm
libplasmacomicprovidercore1-5.12.2-1.mga6.i586.rpm
libplasma-desktop-devel-5.12.2-1.mga6.i586.rpm
libplasma-geolocation-interface5-5.12.2-1.mga6.i586.rpm
libplasmapotdprovidercore1-5.12.2-1.mga6.i586.rpm
libplasma-workspace-devel-5.12.2-1.mga6.i586.rpm
libpowerdevilconfigcommonprivate5-5.12.2-1.mga6.i586.rpm
libpowerdevilcore2-5.12.2-1.mga6.i586.rpm
libpowerdevil-devel-5.12.2-1.mga6.i586.rpm
libpowerdevilui5-5.12.2-1.mga6.i586.rpm
libprocesscore5-5.12.2-1.mga6.i586.rpm
libprocessui5-5.12.2-1.mga6.i586.rpm
libsystemsettings-devel-5.12.2-1.mga6.i586.rpm
libsystemsettingsview3-5.12.2-1.mga6.i586.rpm
libtaskmanager5-5.12.2-1.mga6.i586.rpm
libweather_ion7-5.12.2-1.mga6.i586.rpm
milou-5.12.2-1.mga6.i586.rpm
oxygen-5.12.2-1.mga6.i586.rpm
plasma-applet-nm-5.12.2-1.mga6.i586.rpm
plasma-applet-nm-fortisslvpnui-5.12.2-1.mga6.i586.rpm
plasma-applet-nm-l2tp-5.12.2-1.mga6.i586.rpm
plasma-applet-nm-openconnect-5.12.2-1.mga6.i586.rpm
plasma-applet-nm-openvpn-5.12.2-1.mga6.i586.rpm
plasma-applet-nm-pptp-5.12.2-1.mga6.i586.rpm
plasma-applet-nm-ssh-5.12.2-1.mga6.i586.rpm
plasma-applet-nm-vpnc-5.12.2-1.mga6.i586.rpm
plasma-desktop-5.12.2-1.mga6.i586.rpm
plasma-desktop-handbook-5.12.2-1.mga6.noarch.rpm
plasma-integration-5.12.2-1.mga6.i586.rpm
plasma-pa-5.12.2-1.mga6.i586.rpm
plasma-pa-doc-5.12.2-1.mga6.noarch.rpm
plasma-sdk-5.12.2-1.mga6.i586.rpm
plasma-vault-5.12.2-1.mga6.i586.rpm
plasma-workspace-5.12.2-1.mga6.i586.rpm
plasma-workspace-handbook-5.12.2-1.mga6.noarch.rpm
plasma-workspace-wallpapers-5.12.2-1.mga6.noarch.rpm
plasma-workspace-wayland-5.12.2-1.mga6.i586.rpm
plymouth-kcm-5.12.2-1.mga6.i586.rpm
polkit-kde-agent-1-5.12.2-1.mga6.i586.rpm
powerdevil-5.12.2-1.mga6.i586.rpm
powerdevil-handbook-5.12.2-1.mga6.noarch.rpm
qt4-style-oxygen-5.12.2-1.mga6.i586.rpm
sddm-kcm-5.12.2-1.mga6.i586.rpm
systemsettings-5.12.2-1.mga6.i586.rpm
systemsettings-handbook-5.12.2-1.mga6.noarch.rpm
task-plasma5-5.12.2-1.mga6.noarch.rpm
task-plasma5-minimal-5.12.2-1.mga6.noarch.rpm
user-manager-5.12.2-1.mga6.i586.rpm
xdg-desktop-portal-kde-5.12.2-1.mga6.i586.rpm
Nicolas Lécureuil 2018-02-27 10:45:46 CET

Blocks: (none) => 22656

Neal Gompa 2018-02-27 11:10:00 CET

Depends on: (none) => 22661

Neal Gompa 2018-02-27 11:42:20 CET

Depends on: (none) => 22662

Comment 1 Morgan Leijström 2018-02-28 23:09:34 CET
Maybe it miss some dependency on Qt version?


On a fresh install two days ago i had the opportunity to install plasma5 5.12.2.
It went perfectly except per below description and is now in production :)


In short:  It did not pull the required updated version of some Qt packages i had already installed before.

Longer story:

I installed the system with MATE and some other light desktop, and only later enabled updates testing and installed plasma.

After reboot, at login sddm complained in journal about wrong Qt version of something.  I changed to another DM, and then i got similar message for kwin (If I Remember Correctly)

I then manually installed all packages from updates testing that contained "Qt" in its name, and that was installed in a lower version.  That worked great :)

CC: (none) => fri

Comment 2 Marja Van Waes 2018-03-01 17:37:11 CET
Don't know why this report wasn't assigned to QA team

Assignee: bugsquad => kde
CC: (none) => marja11

Comment 3 Nicolas Lécureuil 2018-03-01 17:39:16 CET
(In reply to Marja van Waes from comment #2)
> Don't know why this report wasn't assigned to QA team

because infra was in maintenance when i first wanted and i had other things to do ?
Comment 4 Marja Van Waes 2018-03-01 18:07:37 CET
(In reply to Nicolas Lécureuil from comment #3)
> (In reply to Marja van Waes from comment #2)
> > Don't know why this report wasn't assigned to QA team
> 
> because infra was in maintenance when i first wanted and i had other things
> to do ?

My question wasn't clear, sorry.

Is it OK to assign this bug to QA now?
Comment 5 Thomas Andrews 2018-03-03 22:24:08 CET
In a 64-bit vbox guest, after successfully updating the QT5 stack and the kf5 stack, I came to this group. 

Bug 22685 is still valid before starting this group.

Selected all packages with the version number of 5.12.2, as well as their stated dependencies, 70 packages in all. All packages installed cleanly, with no errors. The message from Bug 22685 still came up after the updates were finished. 

I shut the guest down, then restarted. Boot and login went completely normally. Unlike with the prior two groups, this time there were no kdeinit error boxes.

The desktop looks and acts as it should, looks OK on this guest.

Time to move on to the last group.

CC: (none) => andrewsfarm

Comment 6 Frédéric Buclin 2018-03-04 15:45:26 CET
Created attachment 10017 [details]
screenshot

When an application has N windows opened (with N > 1), hovering the corresponding icon in the dashboard shows N+1 thumbnails, which is confusing. Previously, there were exactly N thumbnails, as expected. New feature in Plasma 5.12 or a bug? If it's a new feature, is there a way to disable this extra thumbnail?

CC: (none) => LpSolit

Comment 7 Nicolas Lécureuil 2018-03-04 19:38:25 CET
please open separate bugreports and attach it to this one
Comment 8 Rémi Verschelde 2018-03-06 23:46:28 CET
I've done the update today on Mageia 6 x86_64 (using `urpmi --auto-select --searchmedia testing` to pick all needed deps, after adding all the other updates_testing packages I don't want to test to my urpmi skip list).

So far so good, everything works as expected.
Frédéric Buclin 2018-03-07 00:03:51 CET

Depends on: (none) => 22715

Frédéric Buclin 2018-03-07 00:08:35 CET

Depends on: (none) => 22716

Comment 9 Jüri Ivask 2018-03-07 09:45:30 CET
Upgraded all installed packages to qt5.9.4; kf5.42; plasma5.12.2 and kdeapps17.12.2 versions. Logged out and back in. No more "kdeinit" errors and plasma desktop & applications seem to work OK.

CC: (none) => jyri2000

Comment 10 James Kerr 2018-03-07 10:31:04 CET
Please assign this bug to QA (In reply to Nicolas Lécureuil from comment #3)
> (In reply to Marja van Waes from comment #2)
> > Don't know why this report wasn't assigned to QA team
> 
> because infra was in maintenance when i first wanted and i had other things
> to do ?

Please assign this bug to QA so that it is shown on the madb Updates page.

CC: (none) => jim

Nicolas Lécureuil 2018-03-07 10:44:47 CET

Assignee: kde => qa-bugs

Frédéric Buclin 2018-03-07 16:12:22 CET

CC: LpSolit => (none)

Comment 11 José Jorge 2018-03-07 16:23:20 CET
I see phonon4qt5-vlc-0.9.1-4.mga6 was built against libvlc8, while we have now libvlc9. Maybe it should be rebuilt?

CC: (none) => lists.jjorge

Comment 12 Nicolas Lécureuil 2018-03-07 16:48:49 CET
i think i will update it too ( vlc 3 fixes )
Comment 13 Thomas Andrews 2018-03-07 17:03:12 CET
(In reply to Nicolas Lécureuil from comment #12)
> i think i will update it too ( vlc 3 fixes )

Please release it to QA when it is ready if this is to be part of the Plasma update, so it's listed in madb.
Comment 14 Nicolas Lécureuil 2018-03-08 00:57:21 CET
Please test new phonon too.

src:
phonon-4.10.0-1.mga6
phonon-vlc-0.10.0-1.mga6
Comment 15 Morgan Leijström 2018-03-08 14:50:41 CET
I have a fresh mga6 32 bit bare metal install i can break ;)  (Thinkpad T42p)
What is the most clean way to test update to new plasma with dependencies?

" urpmi --auto-select --searchmedia testing "
will bring in all needed, but also non related updates. 
that may express bugs not related to plasma, im afraid. Should i care?
Comment 16 Brian Rockwell 2018-03-10 01:08:26 CET
$  uname -a
Linux localhost.localdomain 4.14.20-server-1.mga6 #1 SMP Sun Feb 18 03:15:49 UTC 2018 i686 i686 i686 GNU/Linux

Selected items from list and began upgrade to 5.12.2.

GUI Crashed halfway in.

went to konsole.

Ran urpmi --auto-select

objects started to install.  Installed about 50 then core dumped.

Ran again

GUI Dies with a big message saying cannot recover from screen saver.  WEnt to command line

Four more command line updates and I finally got it upgraded to 5.12.  Seems to be okay now, but I know I picked up more than just plasma 5.12.2

========

The plasma upgrade for 32-bit isn't pretty or smooth.  This literally needs to be a command line upgrade as the gui will likely crash on the user during the upgrade.

CC: (none) => brtians1

Comment 17 Thomas Andrews 2018-03-10 05:18:26 CET
I have been regularly seeing the gui "crash" about halfway in when I try an all-packages-at-once update with 64-bit. See Bug 22717. I suspect that 32-bit would be the same, for what I believe to be the same reasons.

I made a successful 32-bit update with the gui just yesterday by doing several "runs," selecting part of the packages and approving dependencies without regard to version number, maybe 100 or so to a "run." When one run finished, I did another, until all pertinent packages were installed. The command line wasn't necessary.

One caveat: Plasma is the only DE installed, meaning the pending LxDE packages weren't presented to me, adding to the confusion. And, being unsure whether the vlc update has been declared part of this, I didn't install that, either.

Thing is, I used a procedure worked out from years of experience because I "knew" the all-in-one update would probably fail, as you did with the command line. 

Neither of those "tricks" would be acceptable to many of our users, the ones who rely on Mageia Update to "just work." We HAVE to make the update work with the gui, for them. They are counting on us.
Comment 18 Morgan Leijström 2018-03-10 09:56:44 CET
I did not even think upgrading all this while running Plasma would work, so without even thinking of testing that i upgraded while running xfce and saw no problem at all...

It was just a habit - so deep rooted that i did not think about it: always avoid updating something excessively complicated that is in in heavy use...

- But now I realise that is of course exactly what is going to happen to users of Plasma when we push it to updates!
Comment 19 claire robinson 2018-03-10 10:47:47 CET
Please remember also that Nicolas will need logs to be able to trace any errors encountered during the update.
Comment 20 Thomas Andrews 2018-03-10 15:12:05 CET
I would be happy to provide any logs I can from the last VM where I encountered the error using the gui, and eventually overcame it to perform a successful update. 

I am also willing to (Sigh. This gets a bit tiresome...) try the upgrade yet again on the saved version of that same VM, and collect logs from it at the point of failure, assuming it is still running well enough half-updated that I can. The VM is set up to share a folder and the clipboard with the host, so information can be passed outside of it.

All Nicolas needs to do is let me know what he needs, instructions on how to get it that are written for the cli-challenged, and which of the many bugs he wants to use for the discussion.
Comment 21 Mauricio Andrés Bustamante Viveros 2018-03-10 16:33:27 CET
Before the plasma update - I am only plasma user in this VM - disabled the screensaver from system preferences
The 506 packages were downloaded without issues

Restarted to plasma without problems

CC: (none) => neoser10

Comment 22 Brian Rockwell 2018-03-10 23:14:05 CET
Interesting that disabling the screen saver helped.  That might be a clue on how to get this large of a package to install.  I'll run another upgrade now.  The last was on hardware, this one will be VM and the gui.

I'll do the same, disable screen saver in the gui.
Comment 23 Brian Rockwell 2018-03-10 23:19:25 CET
@Maurico

How much memory do you allocate for your VM?

The one I was upgrading was running 1.4 GB as the host only has 2.9 GB of RAM.
Comment 24 Brian Rockwell 2018-03-10 23:20:26 CET
(In reply to Brian Rockwell from comment #23)
> @Maurico
> 
> How much memory do you allocate for your VM?
> 
> The one I was upgrading was running 1.4 GB as the host only has 2.9 GB of
> RAM.

Sorry - it was 2.9 GB as I was upgrading the physical box.
Comment 25 Brian Rockwell 2018-03-11 00:49:32 CET
Round 1 updates

The following 65 packages are going to be installed:

- appstream-0.11.8-1.mga6.i586
- binutils-2.25.1-7.mga6.i586
- breeze-5.12.2-1.mga6.i586
- breeze-common-5.12.2-1.mga6.noarch
- breeze-grub-5.12.2-1.mga6.noarch
- breeze-gtk-5.12.2-1.mga6.i586
- breeze-icons-5.42.0-1.mga6.noarch
- breeze-plymouth-5.12.2-1.mga6.i586
- bubblewrap-0.2.0-1.mga6.i586
- discover-5.12.2-1.mga6.i586
- drkonqi-5.12.2-1.mga6.i586
- flatpak-0.10.3-1.mga6.i586
- gcc3.3-3.3.6-15.mga6.i586
- gcc3.3-cpp-3.3.6-15.mga6.i586
- glib-gettextize-2.54.3-1.mga6.i586
- glib2.0-common-2.54.3-1.mga6.i586
- glibc-devel-2.22-28.mga6.i586
- kactivitymanagerd-5.12.2-1.mga6.i586
- kde-cli-tools-5.12.2-1.mga6.i586
- kde-gtk-config-5.12.2-1.mga6.i586
- kde4-style-breeze-5.12.2-1.mga6.i586
- kdeplasma-addons-5.12.2-1.mga6.i586
- kernel-userspace-headers-4.14.25-1.mga6.i586
- kgamma5-5.12.2-1.mga6.i586
- khotkeys-5.12.2-1.mga6.i586
- kinfocenter-5.12.2-1.mga6.i586
- kirigami-5.42.0-1.mga6.i586
- kmenuedit-5.12.2-1.mga6.i586
- libappstream4-0.11.8-1.mga6.i586
- libappstreamqt2-0.11.8-1.mga6.i586
- libblkid-devel-2.28.2-2.mga6.i586
- libffi-devel-3.2.1-5.mga6.i586
- libflatpak-gir1.0-0.10.3-1.mga6.i586
- libflatpak0-0.10.3-1.mga6.i586
- libgcrypt-devel-1.7.8-1.1.mga6.i586
- libgio2.0_0-2.54.3-1.mga6.i586
- libglib2.0-devel-2.54.3-1.mga6.i586
- libglib2.0_0-2.54.3-1.mga6.i586
- libgpg-error-devel-1.24-1.mga6.i586
- libicu-devel-58.2-3.2.mga6.i586
- libkf5kirigami2_5-5.42.0-1.mga6.i586
- liblzma-devel-5.2.3-1.mga6.i586
- libmount-devel-2.28.2-2.mga6.i586
- libostree1-2018.1-1.mga6.i586
- libpcre-devel-8.41-1.mga6.i586
- libpcre32_0-8.41-1.mga6.i586
- libplasmapotdprovidercore1-5.12.2-1.mga6.i586
- libqt5core-devel-5.9.4-1.1.mga6.i586
- libqt5core5-5.9.4-1.1.mga6.i586
- libqt5labstemplates5-5.9.4-1.mga6.i586
- libqt5quicktemplates5-5.9.4-1.mga6.i586
- libseccomp2-2.3.2-1.mga6.i586
- libselinux1-2.5-6.mga6.i586
- libstdc++5-3.3.6-15.mga6.i586
- libstdc++5-devel-3.3.6-15.mga6.i586
- libuuid-devel-2.28.2-2.mga6.i586
- libzlib-devel-1.2.11-4.1.mga6.i586
- ostree-2018.1-1.mga6.i586
- polkit-kde-agent-1-5.12.2-1.mga6.i586
- qtbase5-common-5.9.4-1.1.mga6.i586
- qtbase5-common-devel-5.9.4-1.1.mga6.i586
- qtquickcontrols25-5.9.4-1.mga6.i586
- systemd-devel-230-12.3.mga6.i586
- xdg-desktop-portal-0.9-1.mga6.i586
- xdg-desktop-portal-kde-5.12.2-1.mga6.i586

121MB of additional disk space will be used.

71MB of packages will be retrieved.

Is it ok to continue?



--Messages

1 installation transactions failed

There was a problem during the installation:

file /usr/libexec/drkonqi from install of drkonqi-5.12.2-1.mga6.i586 conflicts with file from package plasma-workspace-5.8.7-6.mga6.i586

file /usr/share/drkonqi/debuggers/external/gdbrc from install of drkonqi-5.12.2-1.mga6.i586 conflicts with file from package plasma-workspace-5.8.7-6.mga6.i586

file /usr/share/drkonqi/debuggers/internal/gdbrc from install of drkonqi-5.12.2-1.mga6.i586 conflicts with file from package plasma-workspace-5.8.7-6.mga6.i586

file /usr/share/drkonqi/debuggers/external/kdbgrc from install of drkonqi-5.12.2-1.mga6.i586 conflicts with file from package plasma-workspace-5.8.7-6.mga6.i586

file /usr/share/drkonqi/debuggers/internal/dbxrc from install of drkonqi-5.12.2-1.mga6.i586 conflicts with file from package plasma-workspace-5.8.7-6.mga6.i586

file /usr/share/drkonqi/debuggers/internal/kdbgwinrc from install of drkonqi-5.12.2-1.mga6.i586 conflicts with file from package plasma-workspace-5.8.7-6.mga6.i586

file /usr/share/drkonqi/mappings from install of drkonqi-5.12.2-1.mga6.i586 conflicts with file from package plasma-workspace-5.8.7-6.mga6.i586


Because of the failure went back and had to reapply:

The following 15 packages are going to be installed:

- kde-cli-tools-5.12.2-1.mga6.i586
- kde-gtk-config-5.12.2-1.mga6.i586
- kde4-style-breeze-5.12.2-1.mga6.i586
- kdeplasma-addons-5.12.2-1.mga6.i586
- kgamma5-5.12.2-1.mga6.i586
- khotkeys-5.12.2-1.mga6.i586
- kmenuedit-5.12.2-1.mga6.i586
- kscreen-5.12.2-1.mga6.i586
- kscreenlocker-5.12.2-1.mga6.i586
- ksysguard-5.12.2-1.mga6.i586
- kwallet-pam-5.12.2-1.mga6.i586
- libkhotkeysprivate5-5.12.2-1.mga6.i586
- libksysguard-5.12.2-1.mga6.i586
- libplasmapotdprovidercore1-5.12.2-1.mga6.i586
- polkit-kde-agent-1-5.12.2-1.mga6.i586

2.3MB of additional disk space will be used.

5MB of packages will be retrieved.

Is it ok to continue?


---installed without an issue



The following 28 packages are going to be installed:

- kwayland-integration-5.12.2-1.mga6.i586
- kwin-5.12.2-1.mga6.i586
- kwin-common-5.12.2-1.mga6.i586
- kwin-wayland-5.12.2-1.mga6.i586
- kwrited-5.12.2-1.mga6.i586
- libcolorcorrect5-5.12.2-1.mga6.i586
- libkdeplasma-addons-devel-5.12.2-1.mga6.i586
- libkf5decoration5-5.12.2-1.mga6.i586
- libkf5decorationprivate5-5.12.2-1.mga6.i586
- libkf5kscreen5-5.12.2-1.mga6.i586
- libkfontinst5-5.12.2-1.mga6.i586
- libkfontinstui5-5.12.2-1.mga6.i586
- libkscreen-5.12.2-1.mga6.i586
- libkscreenlocker5-5.12.2-1.mga6.i586
- libksgrd5-5.12.2-1.mga6.i586
- libksignalplotter5-5.12.2-1.mga6.i586
- libkwin4_effect_builtins1-5.12.2-1.mga6.i586
- libkwin5-5.12.2-1.mga6.i586
- libkwineffects5-5.12.2-1.mga6.i586
- libkwinglutils5-5.12.2-1.mga6.i586
- libkwinxrenderutils5-5.12.2-1.mga6.i586
- libkworkspace5-5.12.2-1.mga6.i586
- libqt5core-devel-5.9.4-1.1.mga6.i586
- libqt5sensors5-5.9.4-1.mga6.i586
- libqt5waylandclient5-5.9.4-1.mga6.i586
- libqt5waylandcompositor5-5.9.4-1.mga6.i586
- qtbase5-common-devel-5.9.4-1.1.mga6.i586
- qtwayland5-5.9.4-1.mga6.i586

17MB of additional disk space will be used.

9MB of packages will be retrieved.

Is it ok to continue?


----I applied these and went to the next list, then had to step away for a few minutes--

System again locked with the only option is to go to command line.



I tried rebooting – went straight to the error message and command line


# urpmi –auto-select

finished the updates which grabbed more than 5.12.2 (kernel 4.14.25)


system is up and functioning, but I don’t see this successfully loading via updates, the update is just too large and creates instability in Plasma during the updates.

--again not pretty.
Comment 26 Mauricio Andrés Bustamante Viveros 2018-03-11 01:27:47 CET
(In reply to Brian Rockwell from comment #23)
> @Maurico
> 
> How much memory do you allocate for your VM?
> 
> The one I was upgrading was running 1.4 GB as the host only has 2.9 GB of
> RAM.

1.5 Gb of virtual RAM , 32 mb vídeo RAM
The host has 4 gb but windows x32 only can handle 3.6
Comment 27 Morgan Leijström 2018-03-12 01:15:29 CET
Full update test using GUI on my production workstation.
  ( took LVM snapshot first just in case ;)   )

64 bit Mageia 6. (originally mga5, updated to cauldron, then following mga6)
It was fully updated to normal updates + kernel 4.14.25-desktop-1.mga6 from testing.

__Method:
First i enabled testing media and also ticked it as update media
  # drakrpm-edit-media --expert

Then i clicked the mageia online applet to check for updates, entered my user pass and it presented me a list of 805 packages.
I browsed the list (it helped to sort it per version) and checked there was nothing i did not want to update to testing version.

There was one question about which of two lib packages to choose (stupidly i forgot to take note for this report) and i selected the newest.

I answered yes to removing lib64qt5egldeviceintegration-devel-5.6.2-11.mga6.x86_64 due to unsatisfied qtbase5-common-devel == 5.6.2-11.mga6

And then it just chewed along and all seem to installed cleanly.
Got a question of updated configuration for SDDM, pressed OK.

Everything went OK, and also the reboot by menu choice worked.
And now after reboot things seem OK :)
One quirk i had with some desktop icons not working is gone :)
No regression found yet.  Am i just lucky?
Comment 28 Brian Rockwell 2018-03-12 02:50:25 CET
No - more likely you did something correctly that I didn't properly address.

I'll add my journal entries for yesterday.
Comment 29 Brian Rockwell 2018-03-12 02:52:47 CET
Created attachment 10041 [details]
Brian - Journal entries - (comment 25 results)
Comment 30 Nicolas Lécureuil 2018-03-12 09:32:47 CET
do we have more tests ?
Comment 31 Herman Viaene 2018-03-12 09:47:01 CET
I tried 
kdesu dolphin
su -l , then dolphin
sudo dolphin
but always "Cannot execute dolphin as root"
The same goes for kwrite, kate and ????
Very annoying
I found this: https://iwf1.com/linux-users-bypass-executing-dolphin-as-root-is-not-possible-and-regain-your-kde-dolphin-root-privileges, but you cannot expect this from Mr. or Mrs. Normal User.

CC: (none) => herman.viaene

Comment 32 Morgan Leijström 2018-03-12 10:48:48 CET
That is kind of a regression for some of us yes / better security other say...
But there exist other file managers.
Comment 33 Herman Viaene 2018-03-12 10:59:39 CET
But is is not only file managers, editors like kwrite and kate.
Comment 34 James Kerr 2018-03-12 11:28:38 CET
I hadn't noticed this  - I don't use GUI apps as root.

What I find unacceptable is the message:
To edit files as root use:
SUDO_EDITOR=kwrite sudoedit <file>

Mageia is not Ubuntu. sudo is not configured by default on Mageia systems.
Comment 35 Nicolas Lécureuil 2018-03-12 14:05:57 CET
(In reply to Herman Viaene from comment #31)
> I tried 
> kdesu dolphin
> su -l , then dolphin
> sudo dolphin
> but always "Cannot execute dolphin as root"
> The same goes for kwrite, kate and ????
> Very annoying
> I found this:
> https://iwf1.com/linux-users-bypass-executing-dolphin-as-root-is-not-
> possible-and-regain-your-kde-dolphin-root-privileges, but you cannot expect
> this from Mr. or Mrs. Normal User.

maybe but this is upstream KDE decision, not a bug
Comment 36 Thomas Andrews 2018-03-12 15:21:45 CET
I outgrew the need for a nanny many years ago.

I just checked, and thunar and mousepad will both run as root from at least one of my Plasma 5.12.2 systems. Both give clear warnings that I am treading on dangerous ground doing so, and that's all I need. 

Not the same as Dolphin and Kwrite, but better than what the nanny told me to do.
Comment 37 Mauricio Andrés Bustamante Viveros 2018-03-12 16:11:11 CET
I remember that K Desktop Enviroment did the same with KDM
I prefer the dolphin as root to easy sneak into the file system, but to complain with several enterprises, dolphin as root is not possible

I want this "issue" to be added into kde/plasma release notes or advisory to avoid standart users complains and open bugs
Comment 38 José Jorge 2018-03-12 17:40:27 CET
I have 2 upgraded systems where LibreOffice uses 100% of one core as soon as I open any document, even an empty text.

I wonder if this is not because of qt decorations update?
Does anyone reproduce this?
Comment 39 Morgan Leijström 2018-03-12 18:08:21 CET
__ @comment 31 - 37 : launching as root

I suggest to note this change and other things changed in a blog post
 - A blog post about the great update posted a couple days before launching.

Maybe list a few good alternatives. I think programs that allows root but clearly show a warning colour or similar are great, like the ones T.Andrews suggest.



When you are able to become root, you can do so much more damage by mistake at the command line.  But i do think that a lot of programs should not ever be launched as root, especially things like web browsers with plugins... such as drakrpm launching firefox as root... Bug 18288.



__ @comment 38 Libreoffice @100%

I saw that in a fresh install a couple weeks ago, but i rather quickly updated *everything* to testing, and that problem went away *after* updating.

You mean it was the opposite for you?  Not that problem before updating to testing, but *after* ?
Comment 40 Thomas Andrews 2018-03-13 01:36:34 CET
(In reply to José Jorge from comment #38)
> I have 2 upgraded systems where LibreOffice uses 100% of one core as soon as
> I open any document, even an empty text.
> 
> I wonder if this is not because of qt decorations update?
> Does anyone reproduce this?

Confirmed on my Athlon X2 system. If I open a Libreoffice document, one cpu shows in Ksysguard as using 100%. The other is using almost zero, as long as it's just sitting there. But, on my system the two cpus switch off running at 100%. When one stops, the other begins. Running a second document doesn't seem to have an appreciable effect, one way or another.

Question is, is this a big enough problem to block the update, or something that should be fixed later?
Comment 41 Morgan Leijström 2018-03-13 10:04:13 CET
___@ You with the LibreOffice 100% core:

§ Do LO go to 100% also if you launch it on another DE, like xfce?

§ Could it be this, glib version related? : https://bbs.archlinux.org/viewtopic.php?id=233714
I note i have glib2.0-common lib64glib2.0-devel lib64glib2.0_0 in mentioned 2.54.3 (-1.mga6) versions.  Could you try updating these packages to testing and reboot?

If above do not help:

§ If you dare updating all installed packages to testing, do that help?
- Or more mildly: manually browse through available updates in testing and see if you miss something obvious (example: i did miss some qt packages on first manual attempt before deciding to update all against testing...)
Comment 42 Nicolas Lécureuil 2018-03-13 11:25:54 CET
(In reply to José Jorge from comment #38)
> I have 2 upgraded systems where LibreOffice uses 100% of one core as soon as
> I open any document, even an empty text.
> 
> I wonder if this is not because of qt decorations update?
> Does anyone reproduce this?


this can't be related, libreoffice does not use kf5 'yet'
Comment 43 Thomas Andrews 2018-03-13 14:47:52 CET
(In reply to Morgan Leijström from comment #41)
> ___@ You with the LibreOffice 100% core:
> 
> § Do LO go to 100% also if you launch it on another DE, like xfce?
> 
> § Could it be this, glib version related? :
> https://bbs.archlinux.org/viewtopic.php?id=233714
> I note i have glib2.0-common lib64glib2.0-devel lib64glib2.0_0 in mentioned
> 2.54.3 (-1.mga6) versions.  Could you try updating these packages to testing
> and reboot?
> 
> If above do not help:
> 
> § If you dare updating all installed packages to testing, do that help?
> - Or more mildly: manually browse through available updates in testing and
> see if you miss something obvious (example: i did miss some qt packages on
> first manual attempt before deciding to update all against testing...)

I don't have anything with another DE that's been updated with any of the Plasma-related packages, and all of the ones I do have are 32-bit.  

Updated everything in testing, something I NEVER do, but no difference. Nothing that was left there should have had any effect, anyway. 

This acts like a separate issue to me.
Comment 44 José Jorge 2018-03-13 19:05:13 CET
(In reply to Nicolas Lécureuil from comment #42)
> this can't be related, libreoffice does not use kf5 'yet'

It seems you are right, as it also goes 100% with IceWM...
Comment 45 Thomas Andrews 2018-03-13 21:58:09 CET
Since other tests are good, including mine, giving both OKs for this.

Whiteboard: (none) => MGA6-64-OK MGA6-32-OK

Comment 46 José Jorge 2018-03-15 09:57:18 CET
(In reply to José Jorge from comment #44)
> (In reply to Nicolas Lécureuil from comment #42)
> > this can't be related, libreoffice does not use kf5 'yet'
> 
> It seems you are right, as it also goes 100% with IceWM...

For those having 100% CPU problem, I have found the culprit :

There is a glib2 2.54 in updates_testing, submitted by Neal but without any bug report, that triggers this bug. The command below allows to go back.

urpmi --downgrade glib2

CC: (none) => ngompa13

Comment 47 Morgan Leijström 2018-03-15 10:11:13 CET
Quirky issue that 100% LO. I had that problem on none system before updating to glib2 2.54 but not after, which looked like that bug i mentioned in c#41.
T.A instead had that both before and after updating...
And now i have two systems with that update, neither see 100% LO.

Also strange is that it seen not to slow down anything. (at least subjectively)
Could it be some metering issue?

I suggest those who see that issue start a bug for that separately.
Comment 48 Thomas Andrews 2018-03-15 15:52:53 CET
(In reply to José Jorge from comment #46)
> 
> For those having 100% CPU problem, I have found the culprit :
> 
> There is a glib2 2.54 in updates_testing, submitted by Neal but without any
> bug report, that triggers this bug. The command below allows to go back.
> 
> urpmi --downgrade glib2

There is a bug about glib2. It's part of the appstream update, Bug #22661. If that's the source of the problem, you'll probably get a better response from comments to that bug.
Thomas Andrews 2018-03-15 21:28:13 CET

Whiteboard: MGA6-64-OK MGA6-32-OK => (none)

Comment 49 Morgan Leijström 2018-03-15 21:52:21 CET
MMh...  the timed screen lock do not work on three of four systems i have updated;

The power saving settings do work - the ones you set by clicking the battery icon in system tray

But with that shut of, there is another function that should click in:

See Plasma settings -> Desktop behaviour -> Screen locking
(guessing English naming from local Swedish)

To see if it is operational try setting it to one minute, and have the power saving disables and wait...
Comment 50 William Kenney 2018-03-17 22:25:25 CET
Would someone please post the proper steps to test a Plasma update into this bug. That such the next time this comes up it's properly documented.

Thanks

CC: (none) => wilcal.int

Comment 51 José Jorge 2018-03-18 09:47:58 CET
(In reply to William Kenney from comment #50)
> Would someone please post the proper steps to test a Plasma update into this
> bug. That such the next time this comes up it's properly documented.
> 

The problem is such an update should never happen : there are way too many changed libs, that break other packages. We had at least digikam, skrooge and kmymoney broke with this upgrade. So even if upstream stopped 5.8 support, we had better focus in releasing MGA7 in 9 months...
Comment 52 William Kenney 2018-03-18 12:02:04 CET
(In reply to José Jorge from comment #51)

> The problem is such an update should never happen : there are way too many
> changed libs, that break other packages. We had at least digikam, skrooge
> and kmymoney broke with this upgrade. So even if upstream stopped 5.8
> support, we had better focus in releasing MGA7 in 9 months...

I am in agreement with you José. Unless there is a specific set of written procedure(s) that everyone can follow the risk of such an update creating a massive breakage is high. I urge everyone to think about this seriously.
Comment 53 Thomas Andrews 2018-03-18 15:34:04 CET
Even if we release Mageia 7 by the end of the year or so, an event which I consider with rather low confidence, we face the same problem yet again sometime in 2019. That will be when, going by past timetables, KDE makes the switch to the next Plasma LTS (5.16?). I have little doubt but what it will be just as massive and complicated.

Are we to keep our Plasma users perpetually behind, without support, when it comes to security and bug fixes? Already I've seen at least two long-standing Mageia 6 bugs that have disappeared after updating my affected hardware to Plasma 5.12.2. Are we to deny our users those fixes?

I get why the update was broken down into several bugs the way it was, and I agree that the testing installation procedure should have been better explained, by the maintainer, when it was sent to QA. We should have been told, as clearly and simply as possible, just what groups of packages needed to be installed at the same time for testing purposes. And all of the necessary bugs/packages should have been released to QA and listed on madb at the same time. 

My first update attempt on real hardware resulted in a borked system that wouldn't boot and had to be rebuilt - because I didn't have sufficient information when I made that attempt. I had to learn on my own, using VirtualBox guests, just what I needed to install to be successful. Better guidance when I started would have been very helpful.

But I disagree about holding this back. Yes we are finding some bugs - that's what testing is for - but when you consider the size of the update there are extremely few, and nothing that appears like it can't be fixed. Once testing is finished and these packages are pushed, assuming we can minimize potential problems due to incomplete mirror syncing, I'm confident they will be no more likely to create massive breakage than happens now when users create a new install from one of the Mageia 6 isos and then go after updates with Mageia Update.
Comment 54 William Kenney 2018-03-18 17:18:25 CET
(In reply to Thomas Andrews from comment #53)

> I have little doubt but what it will
> be just as massive and complicated.

I count 114 packages mentioned in x86_64.
Are there really more?
Comment 55 Thomas Andrews 2018-03-18 18:10:07 CET
(In reply to William Kenney from comment #54)
> 
> I count 114 packages mentioned in x86_64.
> Are there really more?

Aside from the packages here in the Plasma stack, there are those in the QT5 stack, the kf5 stack, and the KDE applications stack, as well as some listed in other bugs. See the list of blocks in the Tracker Bug 22656 for a more complete reference. 

My last update, which included all but three of the packages that I saw listed from all those blocks in Mageia Update, and of course their dependencies, consisted of 535 packages. That was the highest yet, and it's easily possible that I may have missed deselecting some packages I should have. (That would not be a problem for non-testing users using Mageia Update. They will not have to deselect anything.) And, because I have the 32-bit version of Google Earth installed, a few of those packages were 32-bit versions in addition to the 64-bit versions.

But, all the full updates that I have done have been over 500 packages in total. I do not know if ALL those packages are necessary to get a working Plasma 5.12.2, as Nicolas hasn't really made that clear, but I do know that the first four stacks I mentioned ARE necessary. They all depend on each other, even if they aren't officially listed as dependencies.
Comment 56 Morgan Leijström 2018-03-18 20:05:34 CET
For coherent and correct testing it would be nice if lists of all concerned packages was maintained in a file, suitable to feed urpmi or dnf. 
One set for 32 bit, one for 64 bit.  No version numbers in them, so they can be used for updating to incrementally updated packages, and to downgrade the whole set and nothing else.
Comment 57 William Kenney 2018-03-18 21:44:28 CET
(In reply to Morgan Leijström from comment #56)

> For coherent and correct testing it would be nice if lists of all concerned
> packages was maintained in a file, suitable to feed urpmi or dnf.....

That's kinda what I've done here already to tinker with this. My list looks like this:

bluedevil breeze breeze-common breeze-grub
breeze-gtk breeze-plymouth discover
drkonqi kactivitymanagerd kde4-style-breeze
and on and on.
There's 114 package here so it took awhile to create it

I then feed that into the MCC updates and select the needed packages.
Or at least that's what I hope to do.

I agree it would be nice in these big packages if such a listing existed.
Comment 58 Thomas Andrews 2018-03-18 22:03:57 CET
If you notice, all the packages in this stack have the version number 5.12.2. All of those in the QT5 stack are version number 5.9.4. All of those in the kf5 stack are 5.42.0. And, all of those in the KDE application stack are 17.12.2. 

Those four stacks make up the bulk of the total update. Few users will need to update ALL those packages of course, but if the appropriate packages in those stacks, plus dependencies, of course, are installed, I believe the result is a working, if not perfect, Plasma desktop. Other packages, listed in other bugs, are needed to finish it off, but Plasma will boot without those. It will be a bit buggy, but it will boot.

Does that help you any?
Comment 59 Nicolas Lécureuil 2018-03-18 22:05:15 CET
i added the name of the packages in the first comment of this bugreport ...
Comment 60 Morgan Leijström 2018-03-19 09:23:34 CET
The point i am trying to make is that we could all spend less time on mistakes if we have a clear procedure, with some urpmi / dnf hands-on example command lines, and some ready made file lists, so QA mistakes dont waste time for neither QA/dev/packagers.


(In reply to Thomas Andrews from comment #58)
> If you notice, all the packages in this stack have the version number
> 5.12.2. All of those in the QT5 stack are version number 5.9.4. All of those
> in the kf5 stack are 5.42.0. And, all of those in the KDE application stack
> are 17.12.2. 

I did that initially, but missed some.  That were some digikam etc on other version numbers, and afraid to miss even more documented or not dependencies i simply updated to all in testing...

Only relying on version numbers could also theoretically mean i install packages that happen to have having same number but not part of this update.  (but yes installing all from testing is even worse I admit)

Then there have come up bugs on lxqt, kmymoney, something more

BTW i did not know until last week that diskdrake option "search in full package name" included also the version... Thanks.



(In reply to Nicolas Lécureuil from comment #59)
> i added the name of the packages in the first comment of this bugreport ...

Yes that is good and clear.

We just need to edit it and use it wisely (it is here it can go wrong ;) )

Am right in that for a i586 system we could just take all packages listed in the i585 list in al three bugs Plasma/QT5/KF5, make it one big list, then strip all version numbers (because some packages later get updated, i.e whole Qt5).. and then feed it to urpmi.

Is it possible to feed urpmi a list of packages and have it only update installed packages, and skip packages that are in the list but not installed.

Especially for 64 bit systems, that have some but few 32-bit packages, i guess it is not a good idea to install all 32-bit...

Another proposed alternative is to use the GUI, instructions in the first two responses of thread "[qa-discuss] QA meeting notes".

But there is some checkbox clicking then that one can foul up.

It would be great if there were some smart command line or script that we could just feed a ready made list of package names (without defined version) that it should update to latest version from any enabled repo, without installing anything that is not already installed.
Comment 61 Lewis Smith 2018-03-19 14:37:34 CET
Trying M6/64

Having failed dismally to apply this update via MCC-Update System, sorting on version no., which drives you mad and does not work, I am trying Thomas's method:
> Just enable Core Updates Testing
> Start rpmdrake, choose "Options" -> "Search in full package names"
> Then in the dropdown menus, change from "Packages with GUI" -> "All 
> Updates" and in the other dropdown "All"
> Then in the "Find:" box type the version: [here 5.12.2]
> and press enter.
> There you get all [the] packages listed
This worked fine for pkg selection; except that I was astonished by the large number of 'external' dependancies pulled in, resulting in 377 pkgs. Perhaps due to  pkgs I did not already have.
Well, it has just core dumped after "starting installing packages"...
Was using Plasma for this transaction; will try it again from a different desktop.

CC: (none) => lewyssmith

Comment 62 Lewis Smith 2018-03-19 15:35:31 CET
Re-trying M6/64
This time from LXDE for safety!

For package selection, used the method shown in the previous comment. With 1 important variation: that time I blindly selected all pkgs, including those I did not already have. This time, I only selected those pkgs already installed. A few external dependencies were pulled in, including 'kamera'; which is suspect. The update list is now a more sensible 71 pkgs.
Oh hell, that core dumped too, at the same place (uninstalling a superseded pkg).
Will try again via MCC in small bites.
After several such cycles, smaller & smaller, I landed up with 61 5.12.2-1 packages. I will return to Plasma to see if it - more particularly, some KDE applications (not yet updated) - work.
Comment 63 Lewis Smith 2018-03-19 17:19:46 CET
Testing M6/64 real hardware with Radeon graphics,
using Plasma after re-starting X.

22657 Qt5 update: 54 pkgs at 5.9.4-1, 1 at 5.9.4-3
22658 KF5 update: 125 pkgs at 5.42.0-1, 4 at 5.42.0-2, 1 at 5.42.0-4
22659 this Plasma update: 61 pkgs at 5.12.2-1

To do, 22660 KDE apps: 156 still at 16.12.3-1, 30 @ 3-2, 2 @ 3-3, 5 @ 3-5
I have by chance four 17.12.2-1 (i.e. updated) versions of these pkgs, okular & kamera, which curiously do *not* appear in the Plasma application menus. But they are there, and function.

I specifically tested these NON-updated KDE applications on this updated lower-level stack, and they all *seemed to function OK* with just a few glitches (which may have been there before). I started (& sometimes a bit more) *every* KDE application that I had in the menus. The main glitch was Kdenlive not starting; and I noticed that the first-use Kmail dialogue asking about importing from another e-mail client was greyed, inoperable.

I suppose I should copy that to the umbrella bug 22656. Will do.
BTAIM This particular update looks OK to me once you get it all in place; which (like the others) has proved very difficult.

CC: lewyssmith => (none)

Comment 64 Len Lawrence 2018-03-20 00:27:36 CET
Mageia 6 :: x86_64

The Qt5 and kf5 stacks had already been installed on this partition.
Clean update/install.  Ran scheduled updates after that, including the latest kernel.  Rebooted to the Plasma desktop OK.  The panel looked weird though with a row of gearwheel icons for various desktop applications such as settings and konsole.  drakconf/MCC worked alright.  Mounted three network shares and accessed files on the neighbouring workstation to exercize vlc, pavucontrol, emacs and ruby.  Tried out some applications from the menu; dolphin (called up gwenview on landscape directory), LO, 
amarok placed an icon in the panel - invoked the gui and noted that the local m3u playlists were registered and could be selected and tracks played.  Tried to launch kdenlive but nothing happened.  Tried from the command line.
$ kdenlive
kdenlive: relocation error: kdenlive: symbol qt_qhash_seed, version Qt_5 not defined in file libQt5Core.so.5 with link time reference

No doubt that will be updated with the KDE stack.  stellarium however now works.

No crashes here, yet.
So far so good.

CC: (none) => tarazed25

Comment 65 Len Lawrence 2018-03-20 00:37:00 CET
Rider to comment 64.

Used system-settings to change the theme to oxygen and all the familiar icons came back and the background switched from black to the Mageia blue and white abstract design (inspired, that is).
Comment 66 Morgan Leijström 2018-03-20 08:59:39 CET
(In reply to Len Lawrence from comment #64)

> $ kdenlive
> kdenlive: relocation error: kdenlive: symbol qt_qhash_seed, version Qt_5 not
> defined in file libQt5Core.so.5 with link time reference

> No doubt that will be updated with the KDE stack.

Yes. I think we should not make noise of issues unless we have the whole stack.
- which we all now is not trivial..

For kdenlive i got segmentation fault on closing: https://bugs.mageia.org/show_bug.cgi?id=22660#c26
Comment 67 Manuel Hiebel 2018-03-21 22:43:57 CET
updated kde/plasma using a local repo (from another DE), with urpmi --auto-update(and everything from testing).

didn't found an issue/regression
Comment 68 Lewis Smith 2018-03-28 19:05:05 CEST
@packagers
Please review the feedback for this bug and decide whether it can be OK'd and validated. I think 'yes'. If you agree, please do that.
Comment 69 William Kenney 2018-03-28 19:39:44 CEST
Wait until we are through the QA meeting on 29 Mar
Comment 70 Frédéric Buclin 2018-04-09 19:16:12 CEST
(In reply to William Kenney from comment #69)
> Wait until we are through the QA meeting on 29 Mar

What has been decided? OK/not OK?
Comment 71 Thomas Andrews 2018-04-09 21:04:46 CEST
Dave Hodgins is going through the SRPM list from the mirrors, trying to determine which ones go with which bugs so he can upload the correct advisories. Once he has done that for all the Plasma-related bugs, the plan is that they will be pushed together.

So, it's an OK, unofficially. We just have to make sure we don't miss anything before we make it official.
Comment 72 Thomas Backlund 2018-04-09 21:08:19 CEST
(In reply to Thomas Andrews from comment #71)
> Dave Hodgins is going through the SRPM list from the mirrors, trying to
> determine which ones go with which bugs so he can upload the correct
> advisories.

Ummm.... 

Thats the packagers job requesting the update as he should know what he has pushed to the mirrors...

CC: (none) => tmb

Comment 73 Nicolas Lécureuil 2018-04-09 21:21:10 CEST
complelty.

I will redo the "up to date" list.
Comment 74 Nicolas Lécureuil 2018-04-09 21:33:30 CEST
x86_64:
bluedevil-5.12.2-1.mga6.x86_64.rpm               
kwin-common-5.12.2-1.mga6.x86_64.rpm                   
lib64milou5-5.12.2-1.mga6.x86_64.rpm                          
plasma-applet-nm-openvpn-5.12.2-1.mga6.x86_64.rpm
breeze-5.12.2-1.mga6.x86_64.rpm                  
kwin-handbook-5.12.2-1.mga6.noarch.rpm                 
lib64oxygen-devel-5.12.2-1.mga6.x86_64.rpm                    
plasma-applet-nm-pptp-5.12.2-1.mga6.x86_64.rpm
breeze-common-5.12.2-1.mga6.noarch.rpm           
kwin-wayland-5.12.2-1.mga6.x86_64.rpm                  
lib64oxygenstyle5-5.12.2-1.mga6.x86_64.rpm                    
plasma-applet-nm-ssh-5.12.2-1.mga6.x86_64.rpm
breeze-grub-5.12.2-1.mga6.noarch.rpm             
kwrited-5.12.2-1.mga6.x86_64.rpm                       
lib64oxygenstyle5_5-5.12.2-1.mga6.x86_64.rpm                  
plasma-applet-nm-vpnc-5.12.2-1.mga6.x86_64.rpm
breeze-gtk-5.12.2-1.mga6.x86_64.rpm              
lib64breeze-devel-5.12.2-1.mga6.x86_64.rpm             
lib64oxygenstyleconfig5-5.12.2-1.mga6.x86_64.rpm              
plasma-desktop-5.12.2-1.mga6.x86_64.rpm
breeze-plymouth-5.12.2-1.mga6.x86_64.rpm         
lib64colorcorrect5-5.12.2-1.mga6.x86_64.rpm            
lib64oxygenstyleconfig5_5-5.12.2-1.mga6.x86_64.rpm            
plasma-desktop-handbook-5.12.2-1.mga6.noarch.rpm
discover-5.12.2-1.mga6.x86_64.rpm                
lib64kdeplasma-addons-devel-5.12.2-1.mga6.x86_64.rpm   
lib64plasmacomicprovidercore1-5.12.2-1.mga6.x86_64.rpm        
plasma-integration-5.12.2-1.mga6.x86_64.rpm
drkonqi-5.12.2-2.mga6.x86_64.rpm                 
lib64kf5decoration5-5.12.2-1.mga6.x86_64.rpm           
lib64plasma-desktop-devel-5.12.2-1.mga6.x86_64.rpm            
plasma-pa-5.12.2-1.mga6.x86_64.rpm
kactivitymanagerd-5.12.2-1.mga6.x86_64.rpm       
lib64kf5decoration-devel-5.12.2-1.mga6.x86_64.rpm      
lib64plasma-geolocation-interface5-5.12.2-1.mga6.x86_64.rpm   
plasma-pa-doc-5.12.2-1.mga6.noarch.rpm
kde4-style-breeze-5.12.2-1.mga6.x86_64.rpm       
lib64kf5decorationprivate5-5.12.2-1.mga6.x86_64.rpm    
lib64plasmapotdprovidercore1-5.12.2-1.mga6.x86_64.rpm         
plasma-sdk-5.12.2-1.mga6.x86_64.rpm
kde-cli-tools-5.12.2-1.mga6.x86_64.rpm           
lib64kf5hotkeysprivate-devel-5.12.2-1.mga6.x86_64.rpm  
lib64plasma-workspace-devel-5.12.2-1.mga6.x86_64.rpm          
plasma-vault-5.12.2-1.mga6.x86_64.rpm
kde-cli-tools-handbook-5.12.2-1.mga6.noarch.rpm  
lib64kf5kscreen5-5.12.2-1.mga6.x86_64.rpm              
lib64powerdevilconfigcommonprivate5-5.12.2-1.mga6.x86_64.rpm  
plasma-workspace-5.12.2-1.mga6.x86_64.rpm
kde-gtk-config-5.12.2-1.mga6.x86_64.rpm          
lib64kf5kscreen-devel-5.12.2-1.mga6.x86_64.rpm         
lib64powerdevilcore2-5.12.2-1.mga6.x86_64.rpm                 
plasma-workspace-handbook-5.12.2-1.mga6.noarch.rpm
kdeplasma-addons-5.12.2-1.mga6.x86_64.rpm        
lib64kfontinst5-5.12.2-1.mga6.x86_64.rpm               
lib64powerdevil-devel-5.12.2-1.mga6.x86_64.rpm                
plasma-workspace-wallpapers-5.12.2-1.mga6.noarch.rpm
kgamma5-5.12.2-1.mga6.x86_64.rpm                 
lib64kfontinstui5-5.12.2-1.mga6.x86_64.rpm             
lib64powerdevilui5-5.12.2-1.mga6.x86_64.rpm                   
plasma-workspace-wayland-5.12.2-1.mga6.x86_64.rpm
kgamma5-handbook-5.12.2-1.mga6.noarch.rpm        
lib64khotkeysprivate5-5.12.2-1.mga6.x86_64.rpm         
lib64processcore5-5.12.2-1.mga6.x86_64.rpm                    
plymouth-kcm-5.12.2-1.mga6.x86_64.rpm
khotkeys-5.12.2-1.mga6.x86_64.rpm                
lib64kscreenlocker5-5.12.2-1.mga6.x86_64.rpm           
lib64processui5-5.12.2-1.mga6.x86_64.rpm                      
polkit-kde-agent-1-5.12.2-1.mga6.x86_64.rpm
kinfocenter-5.12.2-1.mga6.x86_64.rpm             
lib64kscreenlocker-devel-5.12.2-1.mga6.x86_64.rpm      
lib64systemsettings-devel-5.12.2-1.mga6.x86_64.rpm            
powerdevil-5.12.2-1.mga6.x86_64.rpm
kinfocenter-handbook-5.12.2-1.mga6.noarch.rpm    
lib64ksgrd5-5.12.2-1.mga6.x86_64.rpm                   
lib64systemsettingsview3-5.12.2-1.mga6.x86_64.rpm             
powerdevil-handbook-5.12.2-1.mga6.noarch.rpm
kmenuedit-5.12.2-1.mga6.x86_64.rpm               
lib64ksignalplotter5-5.12.2-1.mga6.x86_64.rpm          
lib64taskmanager5-5.12.2-1.mga6.x86_64.rpm                    
qt4-style-oxygen-5.12.2-1.mga6.x86_64.rpm
kmenuedit-handbook-5.12.2-1.mga6.noarch.rpm      
lib64ksysguard-devel-5.12.2-1.mga6.x86_64.rpm          
lib64weather_ion7-5.12.2-1.mga6.x86_64.rpm                    
sddm-kcm-5.12.2-1.mga6.x86_64.rpm
kscreen-5.12.2-1.mga6.x86_64.rpm                 
lib64kwin4_effect_builtins1-5.12.2-1.mga6.x86_64.rpm   
libkscreen-5.12.2-1.mga6.x86_64.rpm                           
systemsettings-5.12.2-1.mga6.x86_64.rpm
kscreenlocker-5.12.2-1.mga6.x86_64.rpm           
lib64kwin5-5.12.2-1.mga6.x86_64.rpm                    
libksysguard-5.12.2-1.mga6.x86_64.rpm                         
systemsettings-handbook-5.12.2-1.mga6.noarch.rpm
ksshaskpass-5.12.2-1.mga6.x86_64.rpm             
lib64kwin-devel-5.12.2-1.mga6.x86_64.rpm               
milou-5.12.2-1.mga6.x86_64.rpm                                
task-plasma5-5.12.2-1.mga6.noarch.rpm
ksysguard-5.12.2-1.mga6.x86_64.rpm               
lib64kwineffects5-5.12.2-1.mga6.x86_64.rpm             
oxygen-5.12.2-1.mga6.x86_64.rpm                               
task-plasma5-minimal-5.12.2-1.mga6.noarch.rpm
ksysguard-handbook-5.12.2-1.mga6.noarch.rpm      
lib64kwinglutils5-5.12.2-1.mga6.x86_64.rpm             
plasma-applet-nm-5.12.2-1.mga6.x86_64.rpm                     
user-manager-5.12.2-1.mga6.x86_64.rpm
kwallet-pam-5.12.2-1.mga6.x86_64.rpm             
lib64kwinxrenderutils5-5.12.2-1.mga6.x86_64.rpm        
plasma-applet-nm-fortisslvpnui-5.12.2-1.mga6.x86_64.rpm       
xdg-desktop-portal-kde-5.12.2-1.mga6.x86_64.rpm
kwayland-integration-5.12.2-1.mga6.x86_64.rpm    
lib64kworkspace5-5.12.2-1.mga6.x86_64.rpm              
plasma-applet-nm-l2tp-5.12.2-1.mga6.x86_64.rpm
kwin-5.12.2-1.mga6.x86_64.rpm                    
lib64lsofui5-5.12.2-1.mga6.x86_64.rpm                  
plasma-applet-nm-openconnect-5.12.2-1.mga6.x86_64.rpm
Comment 75 Nicolas Lécureuil 2018-04-09 21:33:51 CEST
src.rpm:
bluedevil-5.12.2-1.mga6.src.rpm          
kdecoration-5.12.2-1.mga6.src.rpm       
ksshaskpass-5.12.2-1.mga6.src.rpm           
oxygen-5.12.2-1.mga6.src.rpm                       
plymouth-kcm-5.12.2-1.mga6.src.rpm
breeze-5.12.2-1.mga6.src.rpm             
kde-gtk-config-5.12.2-1.mga6.src.rpm    
ksysguard-5.12.2-1.mga6.src.rpm             
plasma-desktop-5.12.2-1.mga6.src.rpm               
polkit-kde-agent-1-5.12.2-1.mga6.src.rpm
breeze-grub-5.12.2-1.mga6.src.rpm        
kdeplasma-addons-5.12.2-1.mga6.src.rpm  
kwallet-pam-5.12.2-1.mga6.src.rpm           
plasma-integration-5.12.2-1.mga6.src.rpm           
powerdevil-5.12.2-1.mga6.src.rpm
breeze-gtk-5.12.2-1.mga6.src.rpm         
kgamma5-5.12.2-1.mga6.src.rpm           
kwayland-integration-5.12.2-1.mga6.src.rpm  
plasma-nm-5.12.2-1.mga6.src.rpm                    
sddm-kcm-5.12.2-1.mga6.src.rpm
breeze-plymouth-5.12.2-1.mga6.src.rpm    
khotkeys-5.12.2-1.mga6.src.rpm          
kwin-5.12.2-1.mga6.src.rpm                  
plasma-pa-5.12.2-1.mga6.src.rpm                    
systemsettings-5.12.2-1.mga6.src.rpm
discover-5.12.2-1.mga6.src.rpm           
kinfocenter-5.12.2-1.mga6.src.rpm       
kwrited-5.12.2-1.mga6.src.rpm               
plasma-sdk-5.12.2-1.mga6.src.rpm                   
task-plasma5-5.12.2-1.mga6.src.rpm
drkonqi-5.12.2-2.mga6.src.rpm            
kmenuedit-5.12.2-1.mga6.src.rpm         
libkscreen-5.12.2-1.mga6.src.rpm            
plasma-vault-5.12.2-1.mga6.src.rpm                 
user-manager-5.12.2-1.mga6.src.rpm
kactivitymanagerd-5.12.2-1.mga6.src.rpm  
kscreen-5.12.2-1.mga6.src.rpm           
libksysguard-5.12.2-1.mga6.src.rpm          
plasma-workspace-5.12.2-1.mga6.src.rpm             
xdg-desktop-portal-kde-5.12.2-1.mga6.src.rpm
kde-cli-tools-5.12.2-1.mga6.src.rpm      
kscreenlocker-5.12.2-1.mga6.src.rpm     
milou-5.12.2-1.mga6.src.rpm                 
plasma-workspace-wallpapers-5.12.2-1.mga6.src.rpm

x86_64:
bluedevil-5.12.2-1.mga6.x86_64.rpm               
kwin-common-5.12.2-1.mga6.x86_64.rpm                   
lib64milou5-5.12.2-1.mga6.x86_64.rpm                          
plasma-applet-nm-openvpn-5.12.2-1.mga6.x86_64.rpm
breeze-5.12.2-1.mga6.x86_64.rpm                  
kwin-handbook-5.12.2-1.mga6.noarch.rpm                 
lib64oxygen-devel-5.12.2-1.mga6.x86_64.rpm                    
plasma-applet-nm-pptp-5.12.2-1.mga6.x86_64.rpm
breeze-common-5.12.2-1.mga6.noarch.rpm           
kwin-wayland-5.12.2-1.mga6.x86_64.rpm                  
lib64oxygenstyle5-5.12.2-1.mga6.x86_64.rpm                    
plasma-applet-nm-ssh-5.12.2-1.mga6.x86_64.rpm
breeze-grub-5.12.2-1.mga6.noarch.rpm             
kwrited-5.12.2-1.mga6.x86_64.rpm                       
lib64oxygenstyle5_5-5.12.2-1.mga6.x86_64.rpm                  
plasma-applet-nm-vpnc-5.12.2-1.mga6.x86_64.rpm
breeze-gtk-5.12.2-1.mga6.x86_64.rpm              
lib64breeze-devel-5.12.2-1.mga6.x86_64.rpm             
lib64oxygenstyleconfig5-5.12.2-1.mga6.x86_64.rpm              
plasma-desktop-5.12.2-1.mga6.x86_64.rpm
breeze-plymouth-5.12.2-1.mga6.x86_64.rpm         
lib64colorcorrect5-5.12.2-1.mga6.x86_64.rpm            
lib64oxygenstyleconfig5_5-5.12.2-1.mga6.x86_64.rpm            
plasma-desktop-handbook-5.12.2-1.mga6.noarch.rpm
discover-5.12.2-1.mga6.x86_64.rpm                
lib64kdeplasma-addons-devel-5.12.2-1.mga6.x86_64.rpm   
lib64plasmacomicprovidercore1-5.12.2-1.mga6.x86_64.rpm        
plasma-integration-5.12.2-1.mga6.x86_64.rpm
drkonqi-5.12.2-2.mga6.x86_64.rpm                 
lib64kf5decoration5-5.12.2-1.mga6.x86_64.rpm           
lib64plasma-desktop-devel-5.12.2-1.mga6.x86_64.rpm            
plasma-pa-5.12.2-1.mga6.x86_64.rpm
kactivitymanagerd-5.12.2-1.mga6.x86_64.rpm       
lib64kf5decoration-devel-5.12.2-1.mga6.x86_64.rpm      
lib64plasma-geolocation-interface5-5.12.2-1.mga6.x86_64.rpm   
plasma-pa-doc-5.12.2-1.mga6.noarch.rpm
kde4-style-breeze-5.12.2-1.mga6.x86_64.rpm       
lib64kf5decorationprivate5-5.12.2-1.mga6.x86_64.rpm    
lib64plasmapotdprovidercore1-5.12.2-1.mga6.x86_64.rpm         
plasma-sdk-5.12.2-1.mga6.x86_64.rpm
kde-cli-tools-5.12.2-1.mga6.x86_64.rpm           
lib64kf5hotkeysprivate-devel-5.12.2-1.mga6.x86_64.rpm  
lib64plasma-workspace-devel-5.12.2-1.mga6.x86_64.rpm          
plasma-vault-5.12.2-1.mga6.x86_64.rpm
kde-cli-tools-handbook-5.12.2-1.mga6.noarch.rpm  
lib64kf5kscreen5-5.12.2-1.mga6.x86_64.rpm              
lib64powerdevilconfigcommonprivate5-5.12.2-1.mga6.x86_64.rpm  
plasma-workspace-5.12.2-1.mga6.x86_64.rpm
kde-gtk-config-5.12.2-1.mga6.x86_64.rpm          
lib64kf5kscreen-devel-5.12.2-1.mga6.x86_64.rpm         
lib64powerdevilcore2-5.12.2-1.mga6.x86_64.rpm                 
plasma-workspace-handbook-5.12.2-1.mga6.noarch.rpm
kdeplasma-addons-5.12.2-1.mga6.x86_64.rpm        
lib64kfontinst5-5.12.2-1.mga6.x86_64.rpm               
lib64powerdevil-devel-5.12.2-1.mga6.x86_64.rpm                
plasma-workspace-wallpapers-5.12.2-1.mga6.noarch.rpm
kgamma5-5.12.2-1.mga6.x86_64.rpm                 
lib64kfontinstui5-5.12.2-1.mga6.x86_64.rpm             
lib64powerdevilui5-5.12.2-1.mga6.x86_64.rpm                   
plasma-workspace-wayland-5.12.2-1.mga6.x86_64.rpm
kgamma5-handbook-5.12.2-1.mga6.noarch.rpm        
lib64khotkeysprivate5-5.12.2-1.mga6.x86_64.rpm         
lib64processcore5-5.12.2-1.mga6.x86_64.rpm                    
plymouth-kcm-5.12.2-1.mga6.x86_64.rpm
khotkeys-5.12.2-1.mga6.x86_64.rpm                
lib64kscreenlocker5-5.12.2-1.mga6.x86_64.rpm           
lib64processui5-5.12.2-1.mga6.x86_64.rpm                      
polkit-kde-agent-1-5.12.2-1.mga6.x86_64.rpm
kinfocenter-5.12.2-1.mga6.x86_64.rpm             
lib64kscreenlocker-devel-5.12.2-1.mga6.x86_64.rpm      
lib64systemsettings-devel-5.12.2-1.mga6.x86_64.rpm            
powerdevil-5.12.2-1.mga6.x86_64.rpm
kinfocenter-handbook-5.12.2-1.mga6.noarch.rpm    
lib64ksgrd5-5.12.2-1.mga6.x86_64.rpm                   
lib64systemsettingsview3-5.12.2-1.mga6.x86_64.rpm             
powerdevil-handbook-5.12.2-1.mga6.noarch.rpm
kmenuedit-5.12.2-1.mga6.x86_64.rpm               
lib64ksignalplotter5-5.12.2-1.mga6.x86_64.rpm          
lib64taskmanager5-5.12.2-1.mga6.x86_64.rpm                    
qt4-style-oxygen-5.12.2-1.mga6.x86_64.rpm
kmenuedit-handbook-5.12.2-1.mga6.noarch.rpm      
lib64ksysguard-devel-5.12.2-1.mga6.x86_64.rpm          
lib64weather_ion7-5.12.2-1.mga6.x86_64.rpm                    
sddm-kcm-5.12.2-1.mga6.x86_64.rpm
kscreen-5.12.2-1.mga6.x86_64.rpm                 
lib64kwin4_effect_builtins1-5.12.2-1.mga6.x86_64.rpm   
libkscreen-5.12.2-1.mga6.x86_64.rpm                           
systemsettings-5.12.2-1.mga6.x86_64.rpm
kscreenlocker-5.12.2-1.mga6.x86_64.rpm           
lib64kwin5-5.12.2-1.mga6.x86_64.rpm                    
libksysguard-5.12.2-1.mga6.x86_64.rpm                         
systemsettings-handbook-5.12.2-1.mga6.noarch.rpm
ksshaskpass-5.12.2-1.mga6.x86_64.rpm             
lib64kwin-devel-5.12.2-1.mga6.x86_64.rpm               
milou-5.12.2-1.mga6.x86_64.rpm                                
task-plasma5-5.12.2-1.mga6.noarch.rpm
ksysguard-5.12.2-1.mga6.x86_64.rpm               
lib64kwineffects5-5.12.2-1.mga6.x86_64.rpm             
oxygen-5.12.2-1.mga6.x86_64.rpm                               
task-plasma5-minimal-5.12.2-1.mga6.noarch.rpm
ksysguard-handbook-5.12.2-1.mga6.noarch.rpm      
lib64kwinglutils5-5.12.2-1.mga6.x86_64.rpm             
plasma-applet-nm-5.12.2-1.mga6.x86_64.rpm                     
user-manager-5.12.2-1.mga6.x86_64.rpm
kwallet-pam-5.12.2-1.mga6.x86_64.rpm             
lib64kwinxrenderutils5-5.12.2-1.mga6.x86_64.rpm        
plasma-applet-nm-fortisslvpnui-5.12.2-1.mga6.x86_64.rpm       
xdg-desktop-portal-kde-5.12.2-1.mga6.x86_64.rpm
kwayland-integration-5.12.2-1.mga6.x86_64.rpm    
lib64kworkspace5-5.12.2-1.mga6.x86_64.rpm              
plasma-applet-nm-l2tp-5.12.2-1.mga6.x86_64.rpm
kwin-5.12.2-1.mga6.x86_64.rpm                    
lib64lsofui5-5.12.2-1.mga6.x86_64.rpm                  
plasma-applet-nm-openconnect-5.12.2-1.mga6.x86_64.rpm



i586:
bluedevil-5.12.2-1.mga6.x86_64.rpm               
kwin-common-5.12.2-1.mga6.x86_64.rpm                   
libmilou5-5.12.2-1.mga6.x86_64.rpm                          
plasma-applet-nm-openvpn-5.12.2-1.mga6.x86_64.rpm
breeze-5.12.2-1.mga6.x86_64.rpm                  
kwin-handbook-5.12.2-1.mga6.noarch.rpm                 
liboxygen-devel-5.12.2-1.mga6.x86_64.rpm                    
plasma-applet-nm-pptp-5.12.2-1.mga6.x86_64.rpm
breeze-common-5.12.2-1.mga6.noarch.rpm           
kwin-wayland-5.12.2-1.mga6.x86_64.rpm                  
liboxygenstyle5-5.12.2-1.mga6.x86_64.rpm                    
plasma-applet-nm-ssh-5.12.2-1.mga6.x86_64.rpm
breeze-grub-5.12.2-1.mga6.noarch.rpm             
kwrited-5.12.2-1.mga6.x86_64.rpm                       
liboxygenstyle5_5-5.12.2-1.mga6.x86_64.rpm                  
plasma-applet-nm-vpnc-5.12.2-1.mga6.x86_64.rpm
breeze-gtk-5.12.2-1.mga6.x86_64.rpm              
libbreeze-devel-5.12.2-1.mga6.x86_64.rpm             
liboxygenstyleconfig5-5.12.2-1.mga6.x86_64.rpm              
plasma-desktop-5.12.2-1.mga6.x86_64.rpm
breeze-plymouth-5.12.2-1.mga6.x86_64.rpm         
libcolorcorrect5-5.12.2-1.mga6.x86_64.rpm            
liboxygenstyleconfig5_5-5.12.2-1.mga6.x86_64.rpm            
plasma-desktop-handbook-5.12.2-1.mga6.noarch.rpm
discover-5.12.2-1.mga6.x86_64.rpm                
libkdeplasma-addons-devel-5.12.2-1.mga6.x86_64.rpm   
libplasmacomicprovidercore1-5.12.2-1.mga6.x86_64.rpm        
plasma-integration-5.12.2-1.mga6.x86_64.rpm
drkonqi-5.12.2-2.mga6.x86_64.rpm                 
libkf5decoration5-5.12.2-1.mga6.x86_64.rpm           
libplasma-desktop-devel-5.12.2-1.mga6.x86_64.rpm            
plasma-pa-5.12.2-1.mga6.x86_64.rpm
kactivitymanagerd-5.12.2-1.mga6.x86_64.rpm       
libkf5decoration-devel-5.12.2-1.mga6.x86_64.rpm      
libplasma-geolocation-interface5-5.12.2-1.mga6.x86_64.rpm   
plasma-pa-doc-5.12.2-1.mga6.noarch.rpm
kde4-style-breeze-5.12.2-1.mga6.x86_64.rpm       
libkf5decorationprivate5-5.12.2-1.mga6.x86_64.rpm    
libplasmapotdprovidercore1-5.12.2-1.mga6.x86_64.rpm         
plasma-sdk-5.12.2-1.mga6.x86_64.rpm
kde-cli-tools-5.12.2-1.mga6.x86_64.rpm           
libkf5hotkeysprivate-devel-5.12.2-1.mga6.x86_64.rpm  
libplasma-workspace-devel-5.12.2-1.mga6.x86_64.rpm          
plasma-vault-5.12.2-1.mga6.x86_64.rpm
kde-cli-tools-handbook-5.12.2-1.mga6.noarch.rpm  
libkf5kscreen5-5.12.2-1.mga6.x86_64.rpm              
libpowerdevilconfigcommonprivate5-5.12.2-1.mga6.x86_64.rpm  
plasma-workspace-5.12.2-1.mga6.x86_64.rpm
kde-gtk-config-5.12.2-1.mga6.x86_64.rpm          
libkf5kscreen-devel-5.12.2-1.mga6.x86_64.rpm         
libpowerdevilcore2-5.12.2-1.mga6.x86_64.rpm                 
plasma-workspace-handbook-5.12.2-1.mga6.noarch.rpm
kdeplasma-addons-5.12.2-1.mga6.x86_64.rpm        
libkfontinst5-5.12.2-1.mga6.x86_64.rpm               
libpowerdevil-devel-5.12.2-1.mga6.x86_64.rpm                
plasma-workspace-wallpapers-5.12.2-1.mga6.noarch.rpm
kgamma5-5.12.2-1.mga6.x86_64.rpm                 
libkfontinstui5-5.12.2-1.mga6.x86_64.rpm             
libpowerdevilui5-5.12.2-1.mga6.x86_64.rpm                   
plasma-workspace-wayland-5.12.2-1.mga6.x86_64.rpm
kgamma5-handbook-5.12.2-1.mga6.noarch.rpm        
libkhotkeysprivate5-5.12.2-1.mga6.x86_64.rpm         
libprocesscore5-5.12.2-1.mga6.x86_64.rpm                    
plymouth-kcm-5.12.2-1.mga6.x86_64.rpm
khotkeys-5.12.2-1.mga6.x86_64.rpm                
libkscreenlocker5-5.12.2-1.mga6.x86_64.rpm           
libprocessui5-5.12.2-1.mga6.x86_64.rpm                      
polkit-kde-agent-1-5.12.2-1.mga6.x86_64.rpm
kinfocenter-5.12.2-1.mga6.x86_64.rpm             
libkscreenlocker-devel-5.12.2-1.mga6.x86_64.rpm      
libsystemsettings-devel-5.12.2-1.mga6.x86_64.rpm            
powerdevil-5.12.2-1.mga6.x86_64.rpm
kinfocenter-handbook-5.12.2-1.mga6.noarch.rpm    
libksgrd5-5.12.2-1.mga6.x86_64.rpm                   
libsystemsettingsview3-5.12.2-1.mga6.x86_64.rpm             
powerdevil-handbook-5.12.2-1.mga6.noarch.rpm
kmenuedit-5.12.2-1.mga6.x86_64.rpm               
libksignalplotter5-5.12.2-1.mga6.x86_64.rpm          
libtaskmanager5-5.12.2-1.mga6.x86_64.rpm                    
qt4-style-oxygen-5.12.2-1.mga6.x86_64.rpm
kmenuedit-handbook-5.12.2-1.mga6.noarch.rpm      
libksysguard-devel-5.12.2-1.mga6.x86_64.rpm          
libweather_ion7-5.12.2-1.mga6.x86_64.rpm                    
sddm-kcm-5.12.2-1.mga6.x86_64.rpm
kscreen-5.12.2-1.mga6.x86_64.rpm                 
libkwin4_effect_builtins1-5.12.2-1.mga6.x86_64.rpm   
libkscreen-5.12.2-1.mga6.x86_64.rpm                           
systemsettings-5.12.2-1.mga6.x86_64.rpm
kscreenlocker-5.12.2-1.mga6.x86_64.rpm           
libkwin5-5.12.2-1.mga6.x86_64.rpm                    
libksysguard-5.12.2-1.mga6.x86_64.rpm                         
systemsettings-handbook-5.12.2-1.mga6.noarch.rpm
ksshaskpass-5.12.2-1.mga6.x86_64.rpm             
libkwin-devel-5.12.2-1.mga6.x86_64.rpm               
milou-5.12.2-1.mga6.x86_64.rpm                                
task-plasma5-5.12.2-1.mga6.noarch.rpm
ksysguard-5.12.2-1.mga6.x86_64.rpm               
libkwineffects5-5.12.2-1.mga6.x86_64.rpm             
oxygen-5.12.2-1.mga6.x86_64.rpm                               
task-plasma5-minimal-5.12.2-1.mga6.noarch.rpm
ksysguard-handbook-5.12.2-1.mga6.noarch.rpm      
libkwinglutils5-5.12.2-1.mga6.x86_64.rpm             
plasma-applet-nm-5.12.2-1.mga6.x86_64.rpm                     
user-manager-5.12.2-1.mga6.x86_64.rpm
kwallet-pam-5.12.2-1.mga6.x86_64.rpm             
libkwinxrenderutils5-5.12.2-1.mga6.x86_64.rpm        
plasma-applet-nm-fortisslvpnui-5.12.2-1.mga6.x86_64.rpm       
xdg-desktop-portal-kde-5.12.2-1.mga6.x86_64.rpm
kwayland-integration-5.12.2-1.mga6.x86_64.rpm    
libkworkspace5-5.12.2-1.mga6.x86_64.rpm              
plasma-applet-nm-l2tp-5.12.2-1.mga6.x86_64.rpm
kwin-5.12.2-1.mga6.x86_64.rpm                    
liblsofui5-5.12.2-1.mga6.x86_64.rpm                  
plasma-applet-nm-openconnect-5.12.2-1.mga6.x86_64.rpm
Comment 76 Thomas Andrews 2018-04-10 00:18:07 CEST
(In reply to Thomas Backlund from comment #72)
> (In reply to Thomas Andrews from comment #71)
> > Dave Hodgins is going through the SRPM list from the mirrors, trying to
> > determine which ones go with which bugs so he can upload the correct
> > advisories.
> 
> Ummm.... 
> 
> Thats the packagers job requesting the update as he should know what he has
> pushed to the mirrors...

Perhaps I misunderstood what he said at last week's meeting. Sometimes I get out of my depth without knowing it.

http://meetbot.mageia.org/mageia-qa/2018/mageia-qa.2018-04-05-19.01.log.html
Comment 77 Thomas Andrews 2018-04-12 22:32:38 CEST
I have installed these updates in both arches in real hardware, and in 64-bit in vbox guests, with great success, and I have been using this update on my production machine for a good three weeks without incident.

OKing both arches, and validating.

CC: (none) => sysadmin-bugs
Keywords: (none) => validated_update
Whiteboard: (none) => MGA6-64-OK MGA6-32-OK

Comment 78 Dave Hodgins 2018-05-04 12:08:54 CEST
(In reply to Thomas Backlund from comment #72)
> (In reply to Thomas Andrews from comment #71)
> > Dave Hodgins is going through the SRPM list from the mirrors, trying to
> > determine which ones go with which bugs so he can upload the correct
> > advisories.
> 
> Ummm.... 
> 
> Thats the packagers job requesting the update as he should know what he has
> pushed to the mirrors...

Given such a large list, pushed over an extended period of time, mistakes are
likely, and I did find some while preparing the advisories for svn ...
https://bugs.mageia.org/show_bug.cgi?id=22669#c75
https://bugs.mageia.org/show_bug.cgi?id=22660#c50

CC: (none) => davidwhodgins

Thomas Backlund 2018-05-04 18:48:55 CEST

Depends on: (none) => 22656
Blocks: 22656 => (none)

Dave Hodgins 2018-05-09 11:38:22 CEST

Keywords: (none) => advisory

Comment 79 Mageia Robot 2018-05-11 22:14:21 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0069.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.